"use client"

import {OfferList} from "@/components/sub/OfferList";
import {SellForm} from "@/components/sell-form";


interface SellCryptoPageProps {
	params: IParams;
}

interface IParams {
	cryptoId: string;
}

export default function SellCryptoPage({ params }: SellCryptoPageProps) {
	console.log(params);
	return (
		<main className="flex flex-col sm:flex-row items-center justify-center w-full h-full gap-4 p-2 sm:p-4">
			<section className={"w-full lg:w-1/3 h-full p-0.5 sm:p-2 flex flex-col items-center justify-center gap-4"}>
				<SellForm defaultCryptoId={params.cryptoId}/>
			</section>
		</main>
	);
}